# Generated by Django 3.2.20 on 2023-09-11 11:36

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
    ]

    operations = [
        migrations.CreateModel(
            name='Period',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=64, verbose_name='结束')),
                ('begin_event', models.CharField(max_length=64, verbose_name='开始')),
                ('end_event', models.CharField(max_length=64, verbose_name='结束')),
                ('is_active', models.BooleanField(default=True, verbose_name='有效')),
                ('create_time', models.DateTimeField(auto_now_add=True, db_index=True, verbose_name='创建时间')),
                ('owner_type', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='eventlog_period_set', to='contenttypes.contenttype', verbose_name='属主类别')),
            ],
            options={
                'verbose_name': '周期',
                'verbose_name_plural': '周期',
                'ordering': ('-create_time',),
            },
        ),
        migrations.CreateModel(
            name='Event',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('owner_id', models.PositiveIntegerField(blank=True, db_index=True, null=True, verbose_name='属主编号')),
                ('name', models.CharField(max_length=64, verbose_name='名称')),
                ('create_time', models.DateTimeField(auto_now_add=True, db_index=True, verbose_name='创建时间')),
                ('owner_type', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='eventlog_event_set', to='contenttypes.contenttype', verbose_name='属主类别')),
            ],
            options={
                'verbose_name': '事件',
                'verbose_name_plural': '事件',
                'ordering': ('-create_time',),
            },
        ),
        migrations.CreateModel(
            name='Duration',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('owner_id', models.PositiveIntegerField(blank=True, db_index=True, null=True, verbose_name='属主编号')),
                ('action_time', models.DateTimeField(db_index=True, verbose_name='发生时间')),
                ('value', models.PositiveIntegerField(verbose_name='秒')),
                ('create_time', models.DateTimeField(auto_now_add=True, db_index=True, verbose_name='创建时间')),
                ('owner_type', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='eventlog_duration_set', to='contenttypes.contenttype', verbose_name='属主类别')),
                ('period', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='eventlog.period', verbose_name='周期')),
            ],
            options={
                'verbose_name': '时长',
                'verbose_name_plural': '时长',
                'ordering': ('-create_time',),
            },
        ),
    ]
